org.apache.jmeter.util

## Class StringUtilities

- java.lang.Object
- - org.apache.jmeter.util.StringUtilities

-     public final class StringUtilities
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `substitute(String input, String pattern, String sub)` Replace all patterns in a String

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### substitute

          public static String substitute(String input,
                                          String pattern,
                                          String sub)

      Replace all patterns in a String
      Parameters:
        `input` - - string to be transformed
        `pattern` - - pattern to replace
        `sub` - - replacement
      Returns:
        the updated string
      See Also:
        `- JDK1.4 only`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.